View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013180CMakeCMakepublic2012-05-02 00:012016-06-10 14:31
ReporterGili 
Assigned ToKitware Robot 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionmoved 
Platform64-bitOSWindowsOS Version7
Product VersionCMake 2.8.8 
Target VersionFixed in Version 
Summary0013180: cmake output unnecessary carriage-return characters
DescriptionI am spawning "CMake --build" from a Java application and sniffing the output to stdout and stderr. I noticed that every time CMake outputs a new line it actually sends out:

  13, 13, 10; or,
  \r, \r, \n

I am using the standard Java BufferedReader.readLine() code which recognizes a single newline as \r, \n, or \r\n. The above sequence gets interpreted as *two* newlines instead of one.

Why is CMake outputting \r\r\n? Is it possible to make it output \r\n instead?
Steps To ReproduceInvoke "CMake --build" using Java's ProcessBuilder. Invoke ProcessBuilder.getInputStream() to listen to the output.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029394)
Gili (reporter)
2012-05-03 13:37

I believe this bug is specific to "CMake --build" and Visual Studio 2010. My guess is that CMake is processing the output returned by Visual Studio 2010 and adding the superfluous carriage-return characters.
(0030416)
David Cole (manager)
2012-08-11 21:35

Sending old, never assigned issues to the backlog.

(The age of the bug, plus the fact that it's never been assigned to anyone means that nobody is actively working on it...)

If an issue you care about is sent to the backlog when you feel it should have been addressed in a different manner, please bring it up on the CMake mailing list for discussion. Sign up for the mailing list here, if you're not already on it: http://www.cmake.org/mailman/listinfo/cmake [^]

It's easy to re-activate a bug here if you can find a CMake developer who has the bandwidth to take it on, and ferry a fix through to our 'next' branch for dashboard testing.
(0042036)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2012-05-02 00:01 Gili New Issue
2012-05-03 13:37 Gili Note Added: 0029394
2012-08-11 21:35 David Cole Status new => backlog
2012-08-11 21:35 David Cole Note Added: 0030416
2016-06-10 14:28 Kitware Robot Note Added: 0042036
2016-06-10 14:28 Kitware Robot Status backlog => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:28 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker